Search Agents
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/agents/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/agents/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/agents/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"title": "<string>",
"description": "<string>",
"ownerID": "<string>",
"theme": "<string>",
"voiceConfig": {
"transcriber": {
"speechConfig": {
"format": "<string>",
"sampleRate": 123,
"language": "<string>"
},
"modelId": "<string>",
"patienceFactor": 123,
"language": "<string>",
"randomOptions": "<unknown>",
"internal": {
"inputAudioStream": "<unknown>",
"debug": true
},
"apiKey": "<string>",
"platformSpecific": {
"deepgram": {
"keywords": [
"<string>"
],
"language": "<string>",
"smart_format": true,
"model": "<string>",
"interim_results": true,
"endpointing": 123,
"no_delay": true,
"autoLanguageDetection": true
},
"assemblyai": {
"modelId": "<string>"
},
"googleCloud": {
"keywords": [
"<string>"
],
"model": "<string>",
"languageCode": "<string>",
"enableAutomaticPunctuation": true,
"enableWordTimeOffsets": true,
"maxAlternatives": 123,
"profanityFilter": true,
"speechContexts": [
{
"phrases": [
"<string>"
],
"boost": 123
}
]
}
},
"utteranceThreshold": 123,
"inputVoiceEnhancer": true
},
"speechGen": {
"highAudioQuality": true,
"modelId": "<string>",
"voiceId": "<string>",
"apiKey": "<string>",
"region": "<string>",
"punctuationBreaks": [
"<string>"
],
"platformSpecific": {
"elevenLabs": {
"stability": 123,
"similarity_boost": 123,
"use_speaker_boost": true,
"speed": 123,
"style": 123
},
"playht": {
"voiceId": "<string>"
},
"cartesia": {
"speed": 123,
"volume": 123,
"promptInstructions": "<string>"
},
"ultravox": {
"temperature": 0.5,
"speed": 0.95,
"elevenLabsModel": "<string>",
"vadSettings": {
"turnEndpointDelay": "<string>",
"minimumTurnDuration": "<string>",
"minimumInterruptionDuration": "<string>",
"frameActivationThreshold": 0.55
}
},
"grokLive": {
"turnDetection": {
"type": "server_vad",
"threshold": 0.5,
"silence_duration_ms": 1,
"prefix_padding_ms": 1
},
"inputAudioTranscription": {
"model": "grok-2-audio"
},
"audio": {
"input": {
"format": {
"rate": 123
}
},
"output": {
"format": {
"rate": 123
}
}
},
"enableWebSearch": true,
"enableXSearch": true,
"debug": true
}
},
"backChannelling": true,
"language": "<string>",
"enableLongMessageBackchannelling": true,
"backchannelMessages": [
"<string>"
],
"backchannelInterval": 123,
"wordsReplacements": [
{
"word": "<string>",
"replacement": "<string>"
}
],
"internal": {
"inputTextStream": "<unknown>",
"audioConfig": {
"format": "<string>",
"sampleRate": 123,
"channels": 123,
"language": "<string>"
},
"emitOnComplete": true
}
},
"config": {
"recordAudio": true,
"enableWebCalling": true,
"enableVoiceUiPresenter": true,
"enableSonioxGeminiTranscription": true,
"firstInputChunkUNIXMs": 123,
"firstOutputChunkUNIXMs": 123
}
},
"light": true,
"enableVertex": true,
"autoOpenWidget": true,
"createdAtUNIX": 123,
"disabled": true,
"vectorDb": "<unknown>",
"withRefresh": true,
"agentPlatform": "<string>",
"ID": "<string>",
"storageID": "<string>",
"VF_DIALOGUE_API_KEY": "<string>",
"VF_PROJECT_API_KEY": "<string>",
"VF_PROJECT_ID": "<string>",
"VF_ENVIRONMENT_ALIAS": "<string>",
"VF_KB_API_KEY": "<string>",
"roundedImageURL": "<string>",
"rectangeImageURL": "<string>",
"messageDelayMS": 123,
"scrollAnimation": true,
"proactiveMessage": "<string>",
"acceptFileUpload": true,
"recordChatHistory": true,
"chatBgURL": "<string>",
"disableSmoothScroll": true,
"isDeployed": true,
"tokensUsage": "<unknown>",
"maxTokensUsage": "<unknown>",
"lastModified": 123,
"fontFamily": "<string>",
"branding": "<string>",
"customThemeJSONString": "<string>",
"autoStartWidget": true,
"allTimeTriggers": 123,
"syncBrowser": true,
"delayBeforeSubmit": 123,
"messageAggregationSeconds": 123,
"listenForUrlChanges": true,
"chatForget": true,
"lang": "<string>",
"enableAudioSupport": true,
"AITranslateTo": "<string>",
"enableAITranslate": true,
"disableNoReplyListener": true,
"disableHumanHandoff": true,
"alwaysShowHandoff": true,
"manualControl": true,
"enableVGHandoff": true,
"enableGeoAnalytics": true,
"hideVoiceflowAnalytics": true,
"hideCallAnalytics": true,
"hideConversationMetrics": true,
"hideCustomAnalytics": true,
"hideVapiAnalytics": true,
"hideFunnelAnalytics": true,
"hideHandoffAnalytics": true,
"fixedHandoffPopup": true,
"ADVANCED_customCSS": "<string>",
"messagesLimit": 123,
"whatsappToken": "<string>",
"whatsappNumberId": "<string>",
"whatsappBusniessId": "<string>",
"whatsappCustomBridge": {
"enabled": true,
"webhookUrl": "<string>",
"forwardToDeveloper": true
},
"waTestNumber": "<string>",
"waVerifyPassed": true,
"waTestPassed": true,
"twilioSmsAccountSid": "<string>",
"twilioSmsAuthToken": "<string>",
"twilioSmsPhoneNumber": "<string>",
"twilioSmsVerified": true,
"twilioSmsPhoneNumberSid": "<string>",
"twilioSmsRentalSubscriptionId": "<string>",
"webhookUrl": "<string>",
"gcloudPrivateKey": "<string>",
"gcloudClientEmail": "<string>",
"smartInit": true,
"UIhandoffTitle": "<string>",
"UIhandoffSubtitle": "<string>",
"igVerified": true,
"igAccessToken": "<string>",
"showHandoffEvenIfOffline": true,
"persistHandoffOnRefresh": true,
"enableBugReporting": true,
"blockInputDuringHandoffRequest": true,
"disableHandoffMessages": true,
"disableHandoffStatusMessages": true,
"customButtonJSON_STRING": "<string>",
"vg_initPrompt": "<string>",
"vg_prompt": "<string>",
"vg_initMessages": [
"<string>"
],
"vg_systemPrompt": "<string>",
"vg_temperature": 123,
"vg_maxTokens": 123,
"vg_kbDefaultDimension": 123,
"vg_kbTopChunks": 123,
"structuredSearchJobIds": [
"<string>"
],
"SECRET_API_KEY": "<string>",
"vg_kbCharCount": 123,
"vg_kbDocsNum": 123,
"vg_enableUIEngine": true,
"vg_maxImagesPerCard": 1,
"vg_uiEngineChannelConfig": {
"whatsapp": {},
"instagram": {},
"messenger": {},
"telegram": {},
"web": {}
},
"vg_enableAboutContext": true,
"vg_kb_llm": {
"searchMethod": "smart",
"searchPrompt": "<string>",
"temprature": 123,
"maxTokens": 123
},
"vg_enableUIEngineForms": true,
"vg_uiEngineFormNotifyConfig": {
"enabled": true,
"extraEmails": [
"<string>"
]
},
"vg_enableUIEngineInvoice": true,
"vg_uiEngineInvoiceConfig": {
"notifyOnButtonClick": true,
"notifyEmails": [
"<string>"
]
},
"vg_enableUIEngineCalendarBooking": true,
"vg_uiEngineCalendarConfig": {
"connectionId": "<string>",
"calendarId": "<string>",
"timezoneMode": "auto",
"fixedTimezone": "<string>",
"defaultDurationMinutes": 30,
"bufferMinutes": 123,
"daysAhead": 123,
"suggestedFields": [
{
"id": "<string>",
"type": "<string>",
"label": "<string>",
"required": true
}
]
},
"vg_max_messages_history": 123,
"ifKnowsThreshold": 123,
"avatarImageUrl": "<string>",
"headerImageUrl": "<string>",
"bannerImageUrl": "<string>",
"soundEffectUrl": "<string>",
"soundEffectEnabled": true,
"enableQuickFileUpload": true,
"instagramOptions": {
"pageId": "<string>",
"accessToken": "<string>"
},
"translateUserResponse": true,
"starred": true,
"flowise": {
"webhookUrl": "<string>",
"webhookSecret": "<string>"
},
"vfSettings": {
"enableIgnoreUrlPaths": true
},
"vapi": "<unknown>",
"vapiConfig": {
"syncKbOnSave": true,
"PUBLIC_API_KEY": "<string>",
"PRIVATE_API_KEY": "<string>",
"enableVapiOnWeb": true,
"overrideWithVG": true,
"promptOnWeb": true,
"maxCostMonthly": 123,
"maxMinutesMonthly": 123,
"useVfProject": true,
"syncTools": true
},
"vgOptions": {
"isLlmStudio": true,
"showSources": true,
"lightUiEngine": true,
"legacyKb": true,
"maxChunkSize": 123,
"handoffTimeout": 123
},
"ui": {
"showWhatsappButtonOnWeb": true,
"bgImageVisible": true,
"widgetType": "direct-chat",
"enableFixedFeedbackBtns": true,
"switchConversationSides": true,
"switchDashboardOnly": true,
"disableMessageMotion": true,
"showRuntimeSteps": true,
"streamSpeed": 5.5,
"voice": {
"question": "<string>",
"continueBtnLabel": "<string>",
"dismissBtnLabel": "<string>",
"disableVoiceOrb": true,
"voiceOnlyMode": true,
"disableChatWhenVoiceOpen": true
}
},
"assignedToolsIds": [
"<string>"
],
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"disabled": true,
"isVapiTool": true,
"vapiId": "<string>",
"isGlobal": true,
"variablesIds": [
"<string>"
],
"agentId": "<string>",
"userId": "<string>",
"backchannellingPhrases": [
"<string>"
],
"toolsSettings": "<unknown>",
"fields": [
{
"id": "<string>",
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": true,
"reusable": true,
"isEnv": true,
"isSystem": true,
"isGlobal": true,
"agentId": "<string>",
"userId": "<string>"
}
],
"channels": []
}
],
"internal": {
"accountCreationConfig": "v2",
"websocketServer": "edge",
"setOnResponse": true,
"enableSetOnLoad": true
},
"disableAutoTranscribeAudio": true,
"enableMessagingVoiceNoteReply": true,
"disableTranscriptSharing": true,
"instaAgentUsername": "<string>",
"convoTags": [
"<string>"
],
"vfConfig": {
"alwaysEnableCardButtons": true
},
"discord": {
"channelIds": [
"<string>"
],
"webhookUrls": [
"<string>"
]
},
"limits": {
"maxInteractionsPerUserId": 123,
"enableTextIpRateLimit": true,
"maxTextInteractionsPerIp": 123,
"textIpRateLimitWindowHours": 123,
"maxAnnualCreditsUsage": 123,
"maxMonthlyCreditsUsage": 123,
"maxMessages": 123,
"maxMessagesRetentionDays": 123,
"inactiveChatRetentionDays": 123,
"analyticsRetentionDays": 123
},
"tabs": [
{
"label": "<string>",
"iconUrl": "<string>",
"iframeUrl": "<string>",
"iframeHeight": 123,
"hide": true,
"homeSpecific": {
"buttons": [
{
"key": "<string>",
"label": "<string>",
"iconUrl": "<string>",
"show": true,
"iceBreakers": [
"<string>"
]
}
],
"iceBreakers": [
"<string>"
],
"showLiveCall": true,
"showRecentConvo": true,
"showDirectHandoff": true,
"headerHeight": 123,
"headerTitle": "<string>",
"headerDescription": "<string>"
},
"faqSpecific": {
"questions": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"key": "<string>"
}
],
"enableCustomFaq": true
}
}
],
"kbTags": [
"<string>"
],
"kbTagsDataMap": [
"<unknown>"
],
"nodes": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"llmConfig": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"language": "<string>",
"mcpServers": [
{
"name": "<string>",
"url": "<string>",
"useNodeEventSource": true,
"reconnect": {
"enabled": true,
"maxAttempts": 123,
"delayMs": 123
},
"command": "<string>",
"args": [
"<string>"
],
"env": {},
"cwd": "<string>",
"headers": {}
}
],
"voiceInstructions": "<string>",
"isGlobal": true,
"toolsIds": [
"<string>"
],
"toolsSettings": {
"googleCalendar": {
"connectionId": "<string>",
"calendarId": "<string>",
"timezone": "<string>",
"defaultCallerTimezone": "<string>",
"label": "<string>",
"description": "<string>",
"methods": []
},
"googleCalendarConfigs": [
{
"id": "<string>",
"connectionId": "<string>",
"calendarId": "<string>",
"calendarName": "<string>",
"timezone": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"googleSheets": {
"connectionId": "<string>",
"sheetId": "<string>",
"method": "<string>",
"sheetTabName": "<string>",
"headerRowIndex": 123,
"headerDescriptions": {},
"identifierColumn": "<string>",
"identityFields": {
"phone": "<string>",
"email": "<string>",
"name": "<string>",
"custom": "<string>",
"customLabel": "<string>"
},
"queryableFields": [
"<string>"
]
},
"airtable": {
"connectionId": "<string>",
"baseId": "<string>",
"tableId": "<string>",
"method": "<string>",
"fieldDescriptions": {},
"identifierField": "<string>"
}
},
"childrenNodes": [
{
"nodeId": "<string>",
"condition": "<string>"
}
],
"routerLlmConfig": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"toolUseBias": 123,
"autoRerouter": {
"enabled": true,
"level": 123
},
"rf": "<unknown>",
"kb": {
"enabled": true,
"maxChunks": 123,
"maxQueries": 123,
"tags": [
"<string>"
],
"smartSearch": true,
"searchOnStart": true
},
"conditionData": {
"condition": "<string>"
},
"preStart": {
"url": "<string>",
"enabled": true,
"testConvoIdValue": "<string>"
},
"startConfig": {
"initialMessage": "<string>",
"voiceInitialMessage": "<string>",
"initialUiMessages": [
"<unknown>"
],
"userStarts": true,
"inboundUserStarts": true,
"outboundUserStarts": true,
"cacheFirstResponse": true
}
}
],
"enableNodes": true,
"advanced": {
"serverUrl": "<string>",
"serverUrlSecret": "<string>"
},
"nodesSettings": {
"enableUIEngineForms": true,
"geminiLiveOptions": "<unknown>",
"appendBeforePrompt": "<string>",
"routerLLmOptions": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"defaultLLmOptions": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"backchannelOnChoosingNodes": true,
"enableUiEngine": true,
"enableUIEngineInvoice": true,
"enableUIEngineCalendarBooking": true,
"uiEngineChannelConfig": {
"whatsapp": {},
"instagram": {},
"messenger": {},
"telegram": {},
"web": {}
},
"uiEngineAllowedTypes": [
"<string>"
],
"fallbackModelIds": [],
"silenceDetection": {
"enabled": false,
"timeoutSeconds": 60,
"endCallAfterNPhrases": 1
},
"startCallPhrases": [
"<string>"
],
"fillerWordsOnToolUsage": true,
"toolUsageBackchannelPhrasesByLanguage": {},
"smartEndpointing": {
"enabled": true,
"waitSeconds": 123,
"onPunctuationSeconds": 123,
"onNoPunctuationSeconds": 123,
"onNumberSeconds": 123
},
"stopSpeakPlan": {
"minWords": 123
},
"callTimeoutSeconds": 123,
"enableEndcallTool": true,
"voiceSpecific": {
"minCharacters": 123,
"maxLengthWithoutPunctuation": 123
},
"enabledGlobalTools": [
"handoffHumanDashboardTool"
],
"defaultToolOverrides": {}
},
"id": "<string>",
"enableFallback": true,
"fallbackSettings": {
"creditThreshold": 123
},
"marketplace": {
"enabled": true,
"priceUSD": 123,
"creatorDisplayName": "<string>",
"shortDescription": "<string>",
"documentation": "<string>",
"toolsDocumentation": [
{
"name": "<string>",
"description": "<string>",
"codeUrl": "<string>",
"docsUrl": "<string>",
"setupInstructions": "<string>"
}
],
"tags": [
"<string>"
],
"screenshots": [
"<string>"
],
"demoUrl": "<string>",
"videoUrl": "<string>",
"version": "<string>",
"changelog": "<string>",
"supportEmail": "<string>",
"listedAt": 123,
"updatedAt": 123,
"allowCanvasPreview": true,
"allowTryAgent": true,
"likeCount": 0,
"downloadCount": 0
},
"disableRating": true,
"chatEndMessage": "<string>",
"aiIntroductionMessage": "<string>",
"enableAIIntroductionMessage": true,
"deployed": true,
"captureIGStories": true,
"gdprCompliance": true,
"disableFileUpload": true,
"disableButtonAnimation": true,
"disableButtonRipple": true,
"disableInputAnimation": true,
"bubbleStyle": {},
"privacyDisclaimer": {
"enabled": true,
"text": "<string>",
"privacyPolicyUrl": "<string>",
"acceptButtonLabel": "<string>",
"privacyPolicyButtonLabel": "<string>"
},
"leadCollectionRules": {
"enabled": true,
"rules": [
{
"variables": [
"<string>"
],
"description": "<string>"
}
]
},
"identityResolutionSettings": {
"enabled": true,
"softMatchEnabled": true
},
"emailConfig": {
"enabled": true,
"assignedEmails": [
{
"connectionId": "<string>",
"email": "<string>",
"replyDelay": 0,
"replyDelayMinutes": 0,
"whenToReply": "always",
"replyRule": "",
"humanNotifyRule": "",
"notifyWorkspaceOwners": true,
"humanTakeoverEnabled": false,
"humanTakeoverTimeoutMinutes": 0,
"replyLength": "auto",
"replyTone": "professional"
}
]
},
"inboundEngagement": {
"enabled": true,
"channels": [],
"aiRule": "<string>",
"aiModelId": "<string>",
"triggerPhrases": [
"<string>"
],
"availability": {
"enabled": true,
"timezone": "<string>",
"days": [],
"startTime": "<string>",
"endTime": "<string>"
},
"participantList": [
"<string>"
],
"analyzeAttachmentsBeforeDecision": true,
"enableHumanHandoffTool": true
},
"autoTest": {
"enabled": true,
"triggerOnEdit": true,
"maxTurns": 123,
"naturalEnd": true,
"testScenario": "<string>",
"enabledToolIds": [
"<string>"
],
"enableKB": true
},
"langsmithConfig": {
"enabled": true,
"apiKey": "<string>",
"projectName": "<string>",
"endpoint": "<string>"
},
"funnelConfig": {
"enabled": false,
"steps": [],
"notificationRules": [],
"maxScore": 100,
"evaluateOnUserMessage": true,
"evaluateOnAIMessage": true
},
"webControlConfig": {
"enabled": true,
"allowEval": true,
"allowScreenshare": true,
"rememberConsentForSession": true,
"screenshareMaxFps": 123
}
}
],
"starredAgents": [
{
"title": "<string>",
"description": "<string>",
"ownerID": "<string>",
"theme": "<string>",
"voiceConfig": {
"transcriber": {
"speechConfig": {
"format": "<string>",
"sampleRate": 123,
"language": "<string>"
},
"modelId": "<string>",
"patienceFactor": 123,
"language": "<string>",
"randomOptions": "<unknown>",
"internal": {
"inputAudioStream": "<unknown>",
"debug": true
},
"apiKey": "<string>",
"platformSpecific": {
"deepgram": {
"keywords": [
"<string>"
],
"language": "<string>",
"smart_format": true,
"model": "<string>",
"interim_results": true,
"endpointing": 123,
"no_delay": true,
"autoLanguageDetection": true
},
"assemblyai": {
"modelId": "<string>"
},
"googleCloud": {
"keywords": [
"<string>"
],
"model": "<string>",
"languageCode": "<string>",
"enableAutomaticPunctuation": true,
"enableWordTimeOffsets": true,
"maxAlternatives": 123,
"profanityFilter": true,
"speechContexts": [
{
"phrases": [
"<string>"
],
"boost": 123
}
]
}
},
"utteranceThreshold": 123,
"inputVoiceEnhancer": true
},
"speechGen": {
"highAudioQuality": true,
"modelId": "<string>",
"voiceId": "<string>",
"apiKey": "<string>",
"region": "<string>",
"punctuationBreaks": [
"<string>"
],
"platformSpecific": {
"elevenLabs": {
"stability": 123,
"similarity_boost": 123,
"use_speaker_boost": true,
"speed": 123,
"style": 123
},
"playht": {
"voiceId": "<string>"
},
"cartesia": {
"speed": 123,
"volume": 123,
"promptInstructions": "<string>"
},
"ultravox": {
"temperature": 0.5,
"speed": 0.95,
"elevenLabsModel": "<string>",
"vadSettings": {
"turnEndpointDelay": "<string>",
"minimumTurnDuration": "<string>",
"minimumInterruptionDuration": "<string>",
"frameActivationThreshold": 0.55
}
},
"grokLive": {
"turnDetection": {
"type": "server_vad",
"threshold": 0.5,
"silence_duration_ms": 1,
"prefix_padding_ms": 1
},
"inputAudioTranscription": {
"model": "grok-2-audio"
},
"audio": {
"input": {
"format": {
"rate": 123
}
},
"output": {
"format": {
"rate": 123
}
}
},
"enableWebSearch": true,
"enableXSearch": true,
"debug": true
}
},
"backChannelling": true,
"language": "<string>",
"enableLongMessageBackchannelling": true,
"backchannelMessages": [
"<string>"
],
"backchannelInterval": 123,
"wordsReplacements": [
{
"word": "<string>",
"replacement": "<string>"
}
],
"internal": {
"inputTextStream": "<unknown>",
"audioConfig": {
"format": "<string>",
"sampleRate": 123,
"channels": 123,
"language": "<string>"
},
"emitOnComplete": true
}
},
"config": {
"recordAudio": true,
"enableWebCalling": true,
"enableVoiceUiPresenter": true,
"enableSonioxGeminiTranscription": true,
"firstInputChunkUNIXMs": 123,
"firstOutputChunkUNIXMs": 123
}
},
"light": true,
"enableVertex": true,
"autoOpenWidget": true,
"createdAtUNIX": 123,
"disabled": true,
"vectorDb": "<unknown>",
"withRefresh": true,
"agentPlatform": "<string>",
"ID": "<string>",
"storageID": "<string>",
"VF_DIALOGUE_API_KEY": "<string>",
"VF_PROJECT_API_KEY": "<string>",
"VF_PROJECT_ID": "<string>",
"VF_ENVIRONMENT_ALIAS": "<string>",
"VF_KB_API_KEY": "<string>",
"roundedImageURL": "<string>",
"rectangeImageURL": "<string>",
"messageDelayMS": 123,
"scrollAnimation": true,
"proactiveMessage": "<string>",
"acceptFileUpload": true,
"recordChatHistory": true,
"chatBgURL": "<string>",
"disableSmoothScroll": true,
"isDeployed": true,
"tokensUsage": "<unknown>",
"maxTokensUsage": "<unknown>",
"lastModified": 123,
"fontFamily": "<string>",
"branding": "<string>",
"customThemeJSONString": "<string>",
"autoStartWidget": true,
"allTimeTriggers": 123,
"syncBrowser": true,
"delayBeforeSubmit": 123,
"messageAggregationSeconds": 123,
"listenForUrlChanges": true,
"chatForget": true,
"lang": "<string>",
"enableAudioSupport": true,
"AITranslateTo": "<string>",
"enableAITranslate": true,
"disableNoReplyListener": true,
"disableHumanHandoff": true,
"alwaysShowHandoff": true,
"manualControl": true,
"enableVGHandoff": true,
"enableGeoAnalytics": true,
"hideVoiceflowAnalytics": true,
"hideCallAnalytics": true,
"hideConversationMetrics": true,
"hideCustomAnalytics": true,
"hideVapiAnalytics": true,
"hideFunnelAnalytics": true,
"hideHandoffAnalytics": true,
"fixedHandoffPopup": true,
"ADVANCED_customCSS": "<string>",
"messagesLimit": 123,
"whatsappToken": "<string>",
"whatsappNumberId": "<string>",
"whatsappBusniessId": "<string>",
"whatsappCustomBridge": {
"enabled": true,
"webhookUrl": "<string>",
"forwardToDeveloper": true
},
"waTestNumber": "<string>",
"waVerifyPassed": true,
"waTestPassed": true,
"twilioSmsAccountSid": "<string>",
"twilioSmsAuthToken": "<string>",
"twilioSmsPhoneNumber": "<string>",
"twilioSmsVerified": true,
"twilioSmsPhoneNumberSid": "<string>",
"twilioSmsRentalSubscriptionId": "<string>",
"webhookUrl": "<string>",
"gcloudPrivateKey": "<string>",
"gcloudClientEmail": "<string>",
"smartInit": true,
"UIhandoffTitle": "<string>",
"UIhandoffSubtitle": "<string>",
"igVerified": true,
"igAccessToken": "<string>",
"showHandoffEvenIfOffline": true,
"persistHandoffOnRefresh": true,
"enableBugReporting": true,
"blockInputDuringHandoffRequest": true,
"disableHandoffMessages": true,
"disableHandoffStatusMessages": true,
"customButtonJSON_STRING": "<string>",
"vg_initPrompt": "<string>",
"vg_prompt": "<string>",
"vg_initMessages": [
"<string>"
],
"vg_systemPrompt": "<string>",
"vg_temperature": 123,
"vg_maxTokens": 123,
"vg_kbDefaultDimension": 123,
"vg_kbTopChunks": 123,
"structuredSearchJobIds": [
"<string>"
],
"SECRET_API_KEY": "<string>",
"vg_kbCharCount": 123,
"vg_kbDocsNum": 123,
"vg_enableUIEngine": true,
"vg_maxImagesPerCard": 1,
"vg_uiEngineChannelConfig": {
"whatsapp": {},
"instagram": {},
"messenger": {},
"telegram": {},
"web": {}
},
"vg_enableAboutContext": true,
"vg_kb_llm": {
"searchMethod": "smart",
"searchPrompt": "<string>",
"temprature": 123,
"maxTokens": 123
},
"vg_enableUIEngineForms": true,
"vg_uiEngineFormNotifyConfig": {
"enabled": true,
"extraEmails": [
"<string>"
]
},
"vg_enableUIEngineInvoice": true,
"vg_uiEngineInvoiceConfig": {
"notifyOnButtonClick": true,
"notifyEmails": [
"<string>"
]
},
"vg_enableUIEngineCalendarBooking": true,
"vg_uiEngineCalendarConfig": {
"connectionId": "<string>",
"calendarId": "<string>",
"timezoneMode": "auto",
"fixedTimezone": "<string>",
"defaultDurationMinutes": 30,
"bufferMinutes": 123,
"daysAhead": 123,
"suggestedFields": [
{
"id": "<string>",
"type": "<string>",
"label": "<string>",
"required": true
}
]
},
"vg_max_messages_history": 123,
"ifKnowsThreshold": 123,
"avatarImageUrl": "<string>",
"headerImageUrl": "<string>",
"bannerImageUrl": "<string>",
"soundEffectUrl": "<string>",
"soundEffectEnabled": true,
"enableQuickFileUpload": true,
"instagramOptions": {
"pageId": "<string>",
"accessToken": "<string>"
},
"translateUserResponse": true,
"starred": true,
"flowise": {
"webhookUrl": "<string>",
"webhookSecret": "<string>"
},
"vfSettings": {
"enableIgnoreUrlPaths": true
},
"vapi": "<unknown>",
"vapiConfig": {
"syncKbOnSave": true,
"PUBLIC_API_KEY": "<string>",
"PRIVATE_API_KEY": "<string>",
"enableVapiOnWeb": true,
"overrideWithVG": true,
"promptOnWeb": true,
"maxCostMonthly": 123,
"maxMinutesMonthly": 123,
"useVfProject": true,
"syncTools": true
},
"vgOptions": {
"isLlmStudio": true,
"showSources": true,
"lightUiEngine": true,
"legacyKb": true,
"maxChunkSize": 123,
"handoffTimeout": 123
},
"ui": {
"showWhatsappButtonOnWeb": true,
"bgImageVisible": true,
"widgetType": "direct-chat",
"enableFixedFeedbackBtns": true,
"switchConversationSides": true,
"switchDashboardOnly": true,
"disableMessageMotion": true,
"showRuntimeSteps": true,
"streamSpeed": 5.5,
"voice": {
"question": "<string>",
"continueBtnLabel": "<string>",
"dismissBtnLabel": "<string>",
"disableVoiceOrb": true,
"voiceOnlyMode": true,
"disableChatWhenVoiceOpen": true
}
},
"assignedToolsIds": [
"<string>"
],
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"disabled": true,
"isVapiTool": true,
"vapiId": "<string>",
"isGlobal": true,
"variablesIds": [
"<string>"
],
"agentId": "<string>",
"userId": "<string>",
"backchannellingPhrases": [
"<string>"
],
"toolsSettings": "<unknown>",
"fields": [
{
"id": "<string>",
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": true,
"reusable": true,
"isEnv": true,
"isSystem": true,
"isGlobal": true,
"agentId": "<string>",
"userId": "<string>"
}
],
"channels": []
}
],
"internal": {
"accountCreationConfig": "v2",
"websocketServer": "edge",
"setOnResponse": true,
"enableSetOnLoad": true
},
"disableAutoTranscribeAudio": true,
"enableMessagingVoiceNoteReply": true,
"disableTranscriptSharing": true,
"instaAgentUsername": "<string>",
"convoTags": [
"<string>"
],
"vfConfig": {
"alwaysEnableCardButtons": true
},
"discord": {
"channelIds": [
"<string>"
],
"webhookUrls": [
"<string>"
]
},
"limits": {
"maxInteractionsPerUserId": 123,
"enableTextIpRateLimit": true,
"maxTextInteractionsPerIp": 123,
"textIpRateLimitWindowHours": 123,
"maxAnnualCreditsUsage": 123,
"maxMonthlyCreditsUsage": 123,
"maxMessages": 123,
"maxMessagesRetentionDays": 123,
"inactiveChatRetentionDays": 123,
"analyticsRetentionDays": 123
},
"tabs": [
{
"label": "<string>",
"iconUrl": "<string>",
"iframeUrl": "<string>",
"iframeHeight": 123,
"hide": true,
"homeSpecific": {
"buttons": [
{
"key": "<string>",
"label": "<string>",
"iconUrl": "<string>",
"show": true,
"iceBreakers": [
"<string>"
]
}
],
"iceBreakers": [
"<string>"
],
"showLiveCall": true,
"showRecentConvo": true,
"showDirectHandoff": true,
"headerHeight": 123,
"headerTitle": "<string>",
"headerDescription": "<string>"
},
"faqSpecific": {
"questions": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"key": "<string>"
}
],
"enableCustomFaq": true
}
}
],
"kbTags": [
"<string>"
],
"kbTagsDataMap": [
"<unknown>"
],
"nodes": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"llmConfig": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"language": "<string>",
"mcpServers": [
{
"name": "<string>",
"url": "<string>",
"useNodeEventSource": true,
"reconnect": {
"enabled": true,
"maxAttempts": 123,
"delayMs": 123
},
"command": "<string>",
"args": [
"<string>"
],
"env": {},
"cwd": "<string>",
"headers": {}
}
],
"voiceInstructions": "<string>",
"isGlobal": true,
"toolsIds": [
"<string>"
],
"toolsSettings": {
"googleCalendar": {
"connectionId": "<string>",
"calendarId": "<string>",
"timezone": "<string>",
"defaultCallerTimezone": "<string>",
"label": "<string>",
"description": "<string>",
"methods": []
},
"googleCalendarConfigs": [
{
"id": "<string>",
"connectionId": "<string>",
"calendarId": "<string>",
"calendarName": "<string>",
"timezone": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"googleSheets": {
"connectionId": "<string>",
"sheetId": "<string>",
"method": "<string>",
"sheetTabName": "<string>",
"headerRowIndex": 123,
"headerDescriptions": {},
"identifierColumn": "<string>",
"identityFields": {
"phone": "<string>",
"email": "<string>",
"name": "<string>",
"custom": "<string>",
"customLabel": "<string>"
},
"queryableFields": [
"<string>"
]
},
"airtable": {
"connectionId": "<string>",
"baseId": "<string>",
"tableId": "<string>",
"method": "<string>",
"fieldDescriptions": {},
"identifierField": "<string>"
}
},
"childrenNodes": [
{
"nodeId": "<string>",
"condition": "<string>"
}
],
"routerLlmConfig": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"toolUseBias": 123,
"autoRerouter": {
"enabled": true,
"level": 123
},
"rf": "<unknown>",
"kb": {
"enabled": true,
"maxChunks": 123,
"maxQueries": 123,
"tags": [
"<string>"
],
"smartSearch": true,
"searchOnStart": true
},
"conditionData": {
"condition": "<string>"
},
"preStart": {
"url": "<string>",
"enabled": true,
"testConvoIdValue": "<string>"
},
"startConfig": {
"initialMessage": "<string>",
"voiceInitialMessage": "<string>",
"initialUiMessages": [
"<unknown>"
],
"userStarts": true,
"inboundUserStarts": true,
"outboundUserStarts": true,
"cacheFirstResponse": true
}
}
],
"enableNodes": true,
"advanced": {
"serverUrl": "<string>",
"serverUrlSecret": "<string>"
},
"nodesSettings": {
"enableUIEngineForms": true,
"geminiLiveOptions": "<unknown>",
"appendBeforePrompt": "<string>",
"routerLLmOptions": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"defaultLLmOptions": {
"temperature": 123,
"maxTokens": 123,
"customModelId": "<string>",
"serverUrl": "<string>",
"apiKey": "<string>"
},
"backchannelOnChoosingNodes": true,
"enableUiEngine": true,
"enableUIEngineInvoice": true,
"enableUIEngineCalendarBooking": true,
"uiEngineChannelConfig": {
"whatsapp": {},
"instagram": {},
"messenger": {},
"telegram": {},
"web": {}
},
"uiEngineAllowedTypes": [
"<string>"
],
"fallbackModelIds": [],
"silenceDetection": {
"enabled": false,
"timeoutSeconds": 60,
"endCallAfterNPhrases": 1
},
"startCallPhrases": [
"<string>"
],
"fillerWordsOnToolUsage": true,
"toolUsageBackchannelPhrasesByLanguage": {},
"smartEndpointing": {
"enabled": true,
"waitSeconds": 123,
"onPunctuationSeconds": 123,
"onNoPunctuationSeconds": 123,
"onNumberSeconds": 123
},
"stopSpeakPlan": {
"minWords": 123
},
"callTimeoutSeconds": 123,
"enableEndcallTool": true,
"voiceSpecific": {
"minCharacters": 123,
"maxLengthWithoutPunctuation": 123
},
"enabledGlobalTools": [
"handoffHumanDashboardTool"
],
"defaultToolOverrides": {}
},
"id": "<string>",
"enableFallback": true,
"fallbackSettings": {
"creditThreshold": 123
},
"marketplace": {
"enabled": true,
"priceUSD": 123,
"creatorDisplayName": "<string>",
"shortDescription": "<string>",
"documentation": "<string>",
"toolsDocumentation": [
{
"name": "<string>",
"description": "<string>",
"codeUrl": "<string>",
"docsUrl": "<string>",
"setupInstructions": "<string>"
}
],
"tags": [
"<string>"
],
"screenshots": [
"<string>"
],
"demoUrl": "<string>",
"videoUrl": "<string>",
"version": "<string>",
"changelog": "<string>",
"supportEmail": "<string>",
"listedAt": 123,
"updatedAt": 123,
"allowCanvasPreview": true,
"allowTryAgent": true,
"likeCount": 0,
"downloadCount": 0
},
"disableRating": true,
"chatEndMessage": "<string>",
"aiIntroductionMessage": "<string>",
"enableAIIntroductionMessage": true,
"deployed": true,
"captureIGStories": true,
"gdprCompliance": true,
"disableFileUpload": true,
"disableButtonAnimation": true,
"disableButtonRipple": true,
"disableInputAnimation": true,
"bubbleStyle": {},
"privacyDisclaimer": {
"enabled": true,
"text": "<string>",
"privacyPolicyUrl": "<string>",
"acceptButtonLabel": "<string>",
"privacyPolicyButtonLabel": "<string>"
},
"leadCollectionRules": {
"enabled": true,
"rules": [
{
"variables": [
"<string>"
],
"description": "<string>"
}
]
},
"identityResolutionSettings": {
"enabled": true,
"softMatchEnabled": true
},
"emailConfig": {
"enabled": true,
"assignedEmails": [
{
"connectionId": "<string>",
"email": "<string>",
"replyDelay": 0,
"replyDelayMinutes": 0,
"whenToReply": "always",
"replyRule": "",
"humanNotifyRule": "",
"notifyWorkspaceOwners": true,
"humanTakeoverEnabled": false,
"humanTakeoverTimeoutMinutes": 0,
"replyLength": "auto",
"replyTone": "professional"
}
]
},
"inboundEngagement": {
"enabled": true,
"channels": [],
"aiRule": "<string>",
"aiModelId": "<string>",
"triggerPhrases": [
"<string>"
],
"availability": {
"enabled": true,
"timezone": "<string>",
"days": [],
"startTime": "<string>",
"endTime": "<string>"
},
"participantList": [
"<string>"
],
"analyzeAttachmentsBeforeDecision": true,
"enableHumanHandoffTool": true
},
"autoTest": {
"enabled": true,
"triggerOnEdit": true,
"maxTurns": 123,
"naturalEnd": true,
"testScenario": "<string>",
"enabledToolIds": [
"<string>"
],
"enableKB": true
},
"langsmithConfig": {
"enabled": true,
"apiKey": "<string>",
"projectName": "<string>",
"endpoint": "<string>"
},
"funnelConfig": {
"enabled": false,
"steps": [],
"notificationRules": [],
"maxScore": 100,
"evaluateOnUserMessage": true,
"evaluateOnAIMessage": true
},
"webControlConfig": {
"enabled": true,
"allowEval": true,
"allowScreenshare": true,
"rememberConsentForSession": true,
"screenshareMaxFps": 123
}
}
],
"total": 123,
"totalStarred": 123,
"page": 123,
"limit": 123,
"hasMore": true
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Agents
Search Agents
Search and paginate agents for the authenticated workspace.
GET
/
agents
/
search
Search Agents
Search matches agent title, description, and agent ID within the authenticated workspace.
Query parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
workspaceId | string | authenticated workspace | Optional. Defaults to the bearer workspace (same as GET /agents). Pass only when searching another workspace you belong to. Unknown/stale ids (e.g. MCP CONVOCORE_WORKSPACE_ID) fall back to the bearer workspace instead of 401. |
search | string | Free-text filter on title, description, or agent ID | |
sortBy | enum | newest | newest, oldest, firstCreated, lastCreated, or alphabetical |
page | number | 1 | Page number (1-based) |
limit | number | 20 | Page size (max 50) |
starredOnly | boolean | false | Return only starred agents |
agentIds | string | Comma-separated allow-list of agent IDs | |
excludeAgentIds | string | Comma-separated deny-list of agent IDs | |
includeStarredAgents | boolean | true | Include starred agents in the main result set |
Use
GET /agents for a full workspace list without filters. Use GET /agents/search when you need pagination, text search, or starred-only views.Example
curl -G "https://eu-gcp-api.vg-stuff.com/v3/agents/search" \
-H "Authorization: Bearer {API_KEY}" \
--data-urlencode "search=support" \
--data-urlencode "page=1" \
--data-urlencode "limit=25"
Related documentation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
newest, oldest, firstCreated, lastCreated, alphabetical Required range:
x >= 1Required range:
1 <= x <= 50⌘I
